Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Verve plugin is a comfortable command line plugin for Xfce
Name:		verve-plugin
Version:	0.3.5
Release:	1
License:	GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xfce4-panel >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0 dbus-devel glib-devel
BuildRequires:	pcre exo-devel libxfce4util-devel

%description
The Verve panel plugin is a comfortable command line plugin for the Xfce panel.
It supports several nice features, such as: 
     - Command history
     - Auto-completion (including command history)
     - Open URLs and eMail addresses in your favourite applications
     - Focus grabbing via D-BUS (so you can bind a shortcut to it)
     - Custom input field width

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/verve-focus
%_libexecdir/xfce4/panel-plugins/xfce4-verve-plugin
%_datadir/locale/*/LC_MESSAGES/verve-plugin.mo
%_datadir/xfce4/panel-plugins/verve.desktop

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.5-1
- Initial Release
